/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// #PropertyDefineArea 属性定义区域
/// #PropertyAssignArea 属性赋值区域
/// #ComponentType 组件类型
/// #PropertyName 属性名字
/// 该脚本由模板创建，不可编辑
/// created by cb 2024
using FairyGUI;
using XGame.Framework.FGUI;
using XGame.Framework.UI;

namespace FL.FGUI
{
    /// <summary>
    /// 该脚本由模板创建，不可修改，不可编辑
    /// </summary>
    public partial class MainBuffInfoListItemVM : FguiViewModel
    {
        public Controller BgCtrl { get; private set; }
        public GLoader PartnerBgIcon { get; private set; }
        public GLoader PartnerIcon { get; private set; }
        public GLoader BuffIcon { get; private set; }
        public GProgressBar BuffLayerPar { get; private set; }
        public GTextField TriggerNameLabel { get; private set; }
        public GTextField TipsLabel { get; private set; }
        public GTextField BuffNameLabel { get; private set; }

        protected override void BindComponents(GComponent panel, IUIViewAdapter adapter)
        {
            BgCtrl = panel.GetController("BgCtrl");
            PartnerBgIcon = panel.GetChild("PartnerBgIcon") as GLoader;
            PartnerIcon = panel.GetChild("PartnerIcon") as GLoader;
            BuffIcon = panel.GetChild("BuffIcon") as GLoader;
            BuffLayerPar = panel.GetChild("BuffLayerPar") as GProgressBar;
            TriggerNameLabel = panel.GetChild("TriggerNameLabel") as GTextField;
            TipsLabel = panel.GetChild("TipsLabel") as GTextField;
            BuffNameLabel = panel.GetChild("BuffNameLabel") as GTextField;

        }
    }
}